summaryrefslogtreecommitdiffstats
path: root/jjb/compass4nfv/compass-download-artifact.sh
diff options
context:
space:
mode:
authormeimei <meimei@huawei.com>2016-01-08 14:50:09 +0800
committermeimei <meimei@huawei.com>2016-01-08 18:23:27 +0800
commit946147ef544271432a6fd02b1c8d99326af7ddd7 (patch)
tree36b4733d83681bc2a0741b1b840a4dc4440d965d /jjb/compass4nfv/compass-download-artifact.sh
parentac1003f22ee1929d74278a1e3c1434bba02d5428 (diff)
Enable compass Arno scenario for master and stable/brahmaputra
This patch proposes below changes: - Run CI on intel-pod8(master) & huawei-us-deploy-bare-1(brahmaputra) - Configure functest and yardstick against both branches on both PODs Change-Id: Ie46f938f9485a43ff93650ef37f84d7bc211acb8 Signed-off-by: meimei <meimei@huawei.com> Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/compass4nfv/compass-download-artifact.sh')
-rw-r--r--jjb/compass4nfv/compass-download-artifact.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/jjb/compass4nfv/compass-download-artifact.sh b/jjb/compass4nfv/compass-download-artifact.sh
new file mode 100644
index 000000000..5a63c4aeb
--- /dev/null
+++ b/jjb/compass4nfv/compass-download-artifact.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# log info to console
+echo "Downloading the $INSTALLER_TYPE artifact. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# get the latest.properties file in order to get info regarding latest artifact
+[[ -d $BUILD_DIRECTORY ]] || mkdir -p $BUILD_DIRECTORY
+curl -s -o $BUILD_DIRECTORY/latest.properties http://$GS_URL/latest.properties
+
+# check if we got the file
+[[ -f $BUILD_DIRECTORY/latest.properties ]] || exit 1
+
+# source the file so we get OPNFV vars
+source $BUILD_DIRECTORY/latest.properties
+
+# download the file
+curl -s -o $BUILD_DIRECTORY/compass.iso http://$OPNFV_ARTIFACT_URL > gsutil.iso.log 2>&1
+
+# list the file
+ls -al $BUILD_DIRECTORY/compass.iso
+
+echo
+echo "--------------------------------------------------------"
+echo "Done!" \ No newline at end of file